/user/api/v1/servicePoints/{id}/settings (PATCH) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Update the name and description of a specified Service Point based on the ID of the service point.

Request: PATCH https://<us|eu>.fleet.bluec.at/user/api/v1/servicePoints/{id}/settings
Authorization: Bearer token
Content-Type: Application/JSON
{
    "name": "Updated Service Point Name",
    "description": "Updated Service Point Description"
    "ntpConfiguration": {
        "servers": [
            "0.debian.pool.ntp.org",
            "192.168.1.1"
        ],
        "clientNetworks": [
            "192.0.2.0/24",
            "fd00::1/64"
        ]
    },
    "internalNetworks": {
        "dockerBridgeSubnet": "172.17.1.0/24",
        "nomadBridgeSubnet": "172.26.64.0/20"
    }
}

Path parameter

Name Description Type Required/Optional
id The Service Point ID Integer Required
Body parameters
  • name—the updated name of the service point
  • description—the updated description of the service point
  • ntpConfiguration—the updated NTP configuration. The NTP configuration can only be updated on Service Point v4.7.0 and greater. The NTP configuration fields include the following:
    • servers—a list of NTP servers that the service point synchronizes with. The value can be an IPv4 or IPv6 address, or an FQDN.
    • clientNetworks—a list of IPv4 or IPv6 addresses or subnets that are allowed to access NTP service on the service point.
  • internalNetworks—the updated custom internal networks that will be used by docker and nomad services for internal communication and orchestration. The internal networks field includes the following:
    • dockerBridgeSubnet—the CIDR block that you would like to use for the docker service communication and orchestration.
    • nomadBridgeSubnet—the CIDR block that you would like to use for the nomad service communication and orchestration.
    Attention:
    • The CIDR blocks must be within the private address space.
    • You cannot modify the internal network configurations of a service point if there are services deployed to it. Before modifying the internal network configurations, ensure that you have removed any services that have been deployed.

Successful response

200 OK